Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1048752 - [Neutron integration] The message is not descriptive enough on failure of importing the network
Summary: [Neutron integration] The message is not descriptive enough on failure of imp...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal
Version: 3.3.0
Hardware: x86_64
OS: Linux
medium
high
Target Milestone: ---
: 3.5.0
Assignee: Lior Vernia
QA Contact: Michael Burman
URL:
Whiteboard: network
Depends On:
Blocks: 1063716 rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2014-01-06 10:00 UTC by GenadiC
Modified: 2016-02-10 19:52 UTC (History)
12 users (show)

Fixed In Version: vt2.2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 17:15:12 UTC
oVirt Team: Network
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 25837 master MERGED webadmin: Aggregate error messages in Frontend.runMultipleActions() Never
oVirt gerrit 25838 master MERGED webadmin: Aggregate errors when importing networks Never
oVirt gerrit 25839 master MERGED engine: Add network name to "network used" error message Never
oVirt gerrit 30650 master MERGED webadmin: Validate no duplicate network names on import Never
oVirt gerrit 31324 master MERGED webadmin: Implement validation in EntityModelCellTable Never
oVirt gerrit 31504 ovirt-engine-3.5 MERGED webadmin: Implement validation in EntityModelCellTable Never
oVirt gerrit 31505 ovirt-engine-3.5 MERGED webadmin: Validate no duplicate network names on import Never

Description GenadiC 2014-01-06 10:00:31 UTC
Description of problem:
If the import of Network from Provider fails for some reason you get the message: "Cannot import the network" without specifying which network failed on import action

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Create 2 networks with the same name on External Network provider
2. Try to import them to RHEVM
3.

Actual results:
The network that failed on import action is not specified in the Error message

Expected results:
Error message should be descriptive enough to understand which network caused the failure

Additional info:

Comment 1 Dan Kenigsberg 2014-05-08 07:36:45 UTC
This bug is not a blocker or an exception forand won't make it for 3.4.0.

Comment 2 GenadiC 2014-07-03 12:31:58 UTC
The message provided makes sense when trying to import the network with the name already existing in RHEV, but if you import 2 networks with the same name it's not that clear.

As a discussed proposal for that it will make sense to check if we have redundant names for imported networks and inform user to rename the Network

Comment 4 Michael Burman 2014-09-07 13:54:25 UTC
Verified on - 3.5.0-0.10.master.el6ev

Comment 5 Eyal Edri 2015-02-17 17:15:12 UTC
rhev 3.5.0 was released. closing.


Note You need to log in before you can comment on or make changes to this bug.